Bug 1388052 (CVE-2016-8909) - CVE-2016-8909 Qemu: audio: intel-hda: infinite loop in processing dma buffer stream
Summary: CVE-2016-8909 Qemu: audio: intel-hda: infinite loop in processing dma buffer ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8909
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1388053 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1326713
TreeView+ depends on / blocked
 
Reported: 2016-10-24 10:23 UTC by Prasad J Pandit
Modified: 2019-09-29 13:58 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 10:25:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2016-10-24 10:23:46 UTC
Quick Emulator(Qemu) built with the Intel HDA controller emulation support
is vulnerable to an infinite loop issue. It could occur while processing the
DMA buffer stream while doing data transfer in 'intel_hda_xfer'.

A privileged user inside guest could use this flaw to consume excessive CPU
cycles on the host, resulting in DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg04717.html

Comment 1 Prasad J Pandit 2016-10-24 10:24:19 UTC
Acknowledgments:

Name: PSIRT  (Huawei Inc.)

Comment 2 Prasad J Pandit 2016-10-24 10:25:27 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1388053]

Comment 3 Cole Robinson 2017-01-16 18:21:33 UTC
commit 0c0fc2b5fd534786051889459848764edd798050
Author: Prasad J Pandit <pjp@fedoraproject.org>
Date:   Thu Oct 20 13:10:24 2016 +0530

    audio: intel-hda: check stream entry count during transfer

Comment 4 errata-xmlrpc 2017-08-02 00:58:03 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 5 errata-xmlrpc 2017-08-02 04:46:56 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.